Quota (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, enum: Quota

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class Quota

java.lang.Object
java.lang.Enum<Quota>
org.apache.hadoop.hdfs.server.namenode.Quota

All Implemented Interfaces:
  `Serializable`, `Comparable<Quota>`, `Constable`

public enum Quota extends Enum<Quota>
Quota types.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `org.apache.hadoop.hdfs.server.namenode.Quota.Counts`
  Counters for quota counts.

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NAMESPACE`
  The namespace usage, i.e. the number of name objects.
  `STORAGESPACE`
  The storage space usage in bytes including replication.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isViolated(long quota, long usage)`
  Is quota violated?
  `static Quota`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Quota[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAMESPACE

    public static final Quota NAMESPACE
    The namespace usage, i.e. the number of name objects.

  - ### STORAGESPACE

    public static final Quota STORAGESPACE
    The storage space usage in bytes including replication.

- ## Method Details

  - ### values

    public static Quota[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Quota valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isViolated

    public static boolean isViolated(long quota, long usage)
    Is quota violated? The quota is violated if quota is set and usage > quota.